TD-W8970 V1 firmware

TD-W8970 V1 firmware
TD-W8970 V1 firmware
2015-06-12 09:29:29
Region : Australia

Model : TL-WR1043ND

Hardware Version : V1

Firmware Version : 0.6.0 2.12 v000c.0 Build 140613 Rel.31066n

ISP :


I can see that the NetUSB (Kcodes) vulnerability has been fixed in the latest firmware for the TD-W8970 V3, but I can't see any recent firmware updates for the V1 hardware.
Does that mean that it is no longer supported, or that it is not vulnerable, or that the firmware update is pending?

(this is my first post in the forum. i couldn't see my router model in the mandatory drop down list for 300Mbps routers. am i missing something? am i posting in the correct sub-forum?)

thanks in advance, Paul
0
0
#1
Options
3 Reply
Re:TD-W8970 V1 firmware
2015-06-12 15:46:08
TD-W8970 is a modem-router not router only!
0
0
#2
Options
Re:TD-W8970 V1 firmware
2015-06-12 17:30:15
@rawpaul What's the firmware verison of your TD-W8970 V1?
No worries. The Kcodes vulnerability will be fixed on TD-W8970 V1 definitely. :)
0
0
#3
Options
critical vulnerability NOT YET FIXED
2016-02-15 20:59:04

M Diamond wrote

No worries. The Kcodes vulnerability will be fixed on TD-W8970 V1 definitely. :)


it is not yet fixed.
A new firmware has been released on 27/04/15 for V3, which indicates "Fixed the kcodes security bug." but nothing for v1.
If I scan my device, I see that port 20005 is open.

TP-link had announced it would be fixed also in v1, according to
http://www.guru3d.com/news-story/millions-of-routers-vulnerable-to-attacks-due-to-netusb-bug.html

This is a critical vulnerability. According to SEC consult, it "can be exploited by an unauthenticated attacker to execute arbitrary code or cause a denial-of-service (DoS) condition."
Please, TP-link, fix it or indicate a workaround.
0
0
#4
Options